/* Estilos del Header */
header {
    background:
        radial-gradient(circle at center,
            var(--color-primary-gold) -20%,
            var(--color-blue) 40%,
            var(--color-dark) 100%);
    color: #fff;
    padding: 3rem 0 5rem;
    text-align: center;
    background-size: cover;
    background-position: center;
    position: relative;
}

.profile-image-container {
    width: 15rem;
    height: 15rem;
    border-radius: 50%;
    overflow: hidden;
    margin: 0 auto 2rem;
    border: 5px solid #fff;
    box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.2);
}

.profile-picture {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

header h1 {
    font-size: 2.5rem;
    margin-bottom: 1rem;
}

header p {
    font-size: 1.2rem;
    margin-bottom: 2rem;
}

header nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
    padding: 0;
}

header nav ul li {
    margin: 0 15px;
}

header nav ul li a {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
    transition: color 0.3s ease;
}

header nav ul li a:hover {
    color: #ffc107;
}
/* Estilos para el botón del header */
.hero-section button {
    background-color: var(--color-primary-gold);
    color: var(--color-dark);
    padding: 1rem 2rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
    font-weight: bold;
    transition: background-color 0.3s ease;
}

.hero-section button:hover {
    background-color: var(--color-dark);
    color: var(--color-primary-gold);
}

.hero-section span {
    color: var(--color-primary-gold);
    font-style: italic;
}
/* Sección "CONOCEME" */
main .container {
    background-color: var(--color-dark);
    padding: 40px;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.admin-section{
    flex-grow: 1;
}

#about {
    text-align: center;
}

#about h2, #skills h2, #projects h2, #contact h2 {
    color: var(--color-primary-gold);
}

#about p {
    color: var(--color-white);
    font-weight: 300;
    margin-bottom: 1.5rem;
    max-width: 80rem;
    margin-left: auto;
    margin-right: auto;
    font-size: 1.1rem;
}

#about button {
    background-color: var(--color-primary-gold);
    color: var(--color-dark);
    padding: 1rem 2rem;
    border: none;
    border-radius: .5rem;
    cursor: pointer;
    font-size: 1rem;
    font-weight: bold;
    transition: background-color 0.3s ease;
}

#about button:hover {
    background-color: var(--color-dark);
    color: var(--color-primary-gold);
}

/* Sección MY EDUCATION / MY EXPERIENCE (pueden compartir estilos de lista) */
#education h2, #experience h2 {
    color: var(--color-primary-gold);
}

.education-timeline,
.experience-timeline {
    max-width: 80rem;
    margin: 0 auto;
    padding: 20px 0;
}

.timeline-item {
    background-color: var(--color-blue);
    padding: 2rem;
    margin-bottom: 2rem;
    border-radius: .8rem;
    box-shadow: 0 2px 5px rgba(108, 196, 246, 0.1);
}

.timeline-item h3 {
    color: var(--color-primary-gold);
    margin-bottom: .5rem;
}

.timeline-item p {
    color: var(--color-white);
}

.timeline-item .timeline-date {
    font-style: italic;
    color: #9bc4fb;
    margin-bottom: 1rem;
}

/* Sección MY SKILLS */
.skills-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: 2rem;
    justify-items: center;
}

.skill-card {
    background-color: var(--color-blue);
    padding: 2rem;
    border-radius: .8rem;
    box-shadow: 0 4px 8px rgba(211, 227, 244, 0.1);
    text-align: center;
    transition: transform 0.3s ease;
}

.skill-card:hover {
    transform: translateY(-5px);
}

.skill-card img {
    max-width: 8rem;
    height: auto;
    margin-bottom: 15px;
}

.skill-card h3 {
    font-size: 1.2rem;
    color: var(--color-primary-gold);
}

.projects-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 3rem;
}

.project-card {
    background-color: #fff;
    border-radius: .8rem;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: transform 0.3s ease;
    display: flex;
    flex-direction: column;
}

.project-card a {
    background-color: var(--color-primary-gold);
    color: var(--color-dark);
    padding: 1rem 2rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
    font-weight: bold;
    text-decoration: none;
    text-align: center;
    transition: background-color 0.3s ease;
}

.project-card a:hover {
    background-color: var(--color-dark);
    color: var(--color-primary-gold);
}

.project-card:hover {
    transform: translateY(-5px);
}

.project-card img {
    width: 100%;
    height: 20rem;
    object-fit: cover;
}

.project-card h3 {
    padding: 1.5rem;
    font-size: 1.4rem;
    color: var(--color-blue);
}

.project-card p {
    padding: 0 15px 15px;
    font-size: 0.95rem;
}

/* Sección Form */
.contact-form {
    max-width: 60rem;
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.contact-form input[type="text"],
.contact-form input[type="email"],
.contact-form textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 1rem;
}

.contact-form textarea {
    resize: vertical;
}

.contact-form button[type="submit"] {
    background-color: var(--color-blue);
    color: #fff;
    padding: 1.2rem 2.5rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1.1rem;
    font-weight: bold;
    transition: background-color 0.3s ease;
}

.contact-form button[type="submit"]:hover {
    background-color: var(--color-primary-gold);
    color: var(--color-dark);
}

footer {
    background-color: var(--color-dark);
}
.error-message {
    color: red;
    font-size: 0.9em;
    margin-top: -10px;
    margin-bottom: 10px;
}
/*Estilos pagina error-page.html*/
.error-page {
    background-color: var(--color-blue);
    padding: 30px;
    margin-top: 30px;
    border-radius: 8px;
    color: var(--color-white);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.error-page h2 {
    color: var(--color-primary-gold);
    text-align: center;
    margin-bottom: 20px;
}

.error-page p {
    text-align: center;
    margin-bottom: 20px;
}

.error-page a {
    display: inline-block;
    background-color: var(--color-primary-gold);
    color: var(--color-dark);
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s ease;
    text-align: center;
}

.error-page a:hover {
    background-color: var(--color-dark);
    color: var(--color-primary-gold);
}
.line-white{
    padding: 40px 0;
    border-bottom: 1px solid #ddd;
}
.message-success {
    background-color: #d4edda; /* Verde claro */
    color: #155724; /* Verde oscuro */
    border: 1px solid #c3e6cb;
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 4px;
}

.message-error {
    background-color: #f8d7da; /* Rojo claro */
    color: #721c24; /* Rojo oscuro */
    border: 1px solid #f5c6cb;
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 4px;
}
/* Estilos para el botón de Editar */
.btn-edit {
    display: inline-block; /* Para que el padding y margin funcionen correctamente */
    padding: 8px 15px;
    margin-right: 5px; /* Pequeño espacio a la derecha si hay otro botón */
    background-color: #4CAF50; /* Un verde amigable */
    color: white;
    text-align: center;
    text-decoration: none;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.btn-edit:hover {
    background-color: #45a049; /* Un verde un poco más oscuro al pasar el ratón */
}

/* Estilos para el botón de Eliminar */
.btn-delete {
    display: inline-block;
    padding: 8px 15px;
    background-color: #f44336; /* Un rojo para indicar peligro */
    color: white;
    text-align: center;
    text-decoration: none; /* Asegura que no se vea como un enlace */
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.btn-delete:hover {
    background-color: #da190b; /* Un rojo más oscuro al pasar el ratón */
}

@media (max-width: 768px) {
    header nav ul{
        flex-direction: column;
        align-items: center;
    }
    header nav li{
        margin: 10px 0;

    }

}

/* Login Page */
.login-page {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: linear-gradient(
        135deg,
        var(--color-blue),
        var(--color-dark)
    );
    padding: 2rem;
}

.login-container {
    background-color: #fff;
    padding: 3rem 4rem;
    border-radius: 1rem;
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);
    max-width: 40rem;
    width: 100%;
    text-align: center;
}

.login-container h1 {
    margin-bottom: 2rem;
    color: var(--color-blue);
    font-size: 2.2rem;
}

.login-form {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.form-group {
    text-align: left;
}

.form-group label {
    display: block;
    margin-bottom: .5rem;
    font-weight: bold;
    color: var(--color-dark);
}

.login-form input {
    width: 100%;
    padding: 1rem;
    border: 1px solid #ddd;
    border-radius: .5rem;
    font-size: 1rem;
}

.login-form input:focus {
    outline: none;
    border-color: var(--color-primary-gold);
    box-shadow: 0 0 0 2px rgba(230, 242, 136, 0.5);
}

.login-form button {
    background-color: var(--color-primary-gold);
    color: var(--color-dark);
    padding: 1rem;
    border: none;
    border-radius: .5rem;
    cursor: pointer;
    font-size: 1.2rem;
    font-weight: bold;
    transition: background-color 0.3s ease;
}

.login-form button:hover {
    background-color: var(--color-dark);
    color: var(--color-primary-gold);
}
.btn-logout {
    display: inline-block;
    padding: 10px 18px;
    background-color: var(--color-blue);
    color: white;
    text-align: center;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 0.95rem;
    transition: background-color 0.3s ease, transform 0.2s ease;
}

.btn-logout:hover {
    background-color: var(--color-primary-gold);
    color: var(--color-dark);
    transform: translateY(-2px);
}